Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Stefan Monnier <[email-masked]>
Date: Mon, 15 Jan 2024 21:35:28 -0500

> Basically, the biggest weakness of Stefan M's solution is the biggest
> strength of João's and vice versa: "backwards-compatibility" (if we can
> call it that) vs "clean taxonomy".

While a fresh new taxonomy could definitely be cleaner, seeing how it
can be designed with 40 years of hindsight, I believe "clean taxonomy"
is an oxymoron.

        Stefan